## v11.5.0.0.tar.gz.adf6ee9e9a034f44e51de7f88ad2d093

=== MakeTools/Makefile ===
# BEGIN_ICS_COPYRIGHT8 ****************************************
#
# Copyright (c) 2015-2020, Intel Corporation
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions are met:
#
#     * Redistributions of source code must retain the above copyright notice,
#       this list of conditions and the following disclaimer.
#     * Redistributions in binary form must reproduce the above copyright
#       notice, this list of conditions and the following disclaimer in the
#       documentation and/or other materials provided with the distribution.
#     * Neither the name of Intel Corporation nor the names of its contributors
#       may be used to endorse or promote products derived from this software
#       without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
# AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE
# DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER
# CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
# OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# END_ICS_COPYRIGHT8   ****************************************
# Makefile for MakeTools

# Include Make Control Settings
include $(TL_DIR)/$(PROJ_FILE_DIR)/Makesettings.project

DS_SUBPROJECTS =
DSP_SOURCES= Makefile \
			buildmsgs.pl \
			build_srpms.sh \
			expand_source.sh \
			expand_ofed.sh \
			get_ofed_files.sh \
			getsmpopt.sh \
			get_comp.sh \
			get_input_comp_files.sh \
			lnshlib.sh \
			lnshlib.darwin.sh \
			ln-install.sh \
			makeiso.sh \
			mkarlib.sh \
			builddsw.sh \
			finddspfiles.sh \
			makewin32depend.sh \
			prep.sh \
			unpack_comp.sh
DIRS		= \
			patch_version \
			installtargets \
			stripdepends \
			rm_version \
			$(TEST)
CMD_TARGETS_MISC = \
			builddsw \
			build_srpms \
			expand_source \
			expand_ofed \
			get_ofed_files \
			get_comp \
			get_input_comp_files \
			finddspfiles \
			ln-install \
			makewin32depend \
			unpack_comp
ifeq "$(PRODUCT)" "devtools"
CMD_TARGETS_MISC += 	prep \
			patch_engineer_version \
			convert_releasetag \
			format_releasetag
MISC_FILES       +=     format_releasetag.py
endif

INCLUDE_TARGETS		= 

include $(TL_DIR)/$(PROJ_FILE_DIR)/Makerules.project

include $(TL_DIR)/Makerules/Maketargets.toplevel

include $(TL_DIR)/Makerules/Maketargets.build
convert_releasetag: convert_releasetag.pl
	cp $< $@
	chmod 755 $@

include $(TL_DIR)/Makerules/Maketargets.stage

include $(TL_DIR)/Makerules/Maketargets.install

=== debian/control ===
Source: eth-tools
Section: unknown
Priority: optional
Maintainer: Breyer, Scott J <scott.j.breyer@intel.com>
Build-Depends: debhelper (>= 12~), libexpat-dev, bash (>= 3),
 libibverbs-dev, uuid-dev, texinfo, tcl-dev, libsnmp-dev
Standards-Version: 4.5.1
Homepage: TBD
Rules-Requires-Root: no

Package: eth-tools-basic
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}, bc,
 ibverbs-utils, rdmacm-utils, expect, tcl, snmpd, iproute2
Description: Management level tools and scripts.
 Contains basic tools for fabric managment necessary on all compute nodes.

Package: eth-tools-fastfabric
Architecture: linux-any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends},
 eth-tools-basic (= ${binary:Version}), perl
Description: Management level tools and scripts.
 Contains tools for managing fabric on a management node.
